"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const AnimatedBounceButton = ({
  containerStyle,
  iconColors = '#0000ff',
  circleHeight = 60,
  circleWidth = 60,
  centralIcon,
  iconStyle,
  onPress,
  // Extracting onPress from props
  initialScale = 1,
  finalScale = 1.5,
  animationDuration = 500
}) => {
  const [animation] = (0, _react.useState)(new _reactNative.Animated.Value(0));
  const handlePress = () => {
    onPress && onPress();
    _reactNative.Animated.spring(animation, {
      toValue: 1,
      useNativeDriver: true,
      speed: 8 / animationDuration // Adjust speed based on animation duration
    }).start(() => {
      _reactNative.Animated.spring(animation, {
        toValue: 0,
        useNativeDriver: true,
        speed: 8 / animationDuration // Adjust speed based on animation duration
      }).start();
    });
  };
  const animatedStyle = {
    transform: [{
      scale: animation.interpolate({
        inputRange: [0, 1],
        outputRange: [initialScale, finalScale] // Use initialScale and finalScale
      })
    }]
  };
  return /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
    onPress: handlePress,
    style: [styles.button, containerStyle]
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Animated.View, {
    style: [styles.circle, animatedStyle, {
      backgroundColor: iconColors,
      height: circleHeight,
      width: circleWidth
    }]
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Image, {
    source: centralIcon,
    style: [styles.icon, iconStyle]
  })));
};
const styles = _reactNative.StyleSheet.create({
  button: {
    position: 'absolute',
    bottom: 30,
    right: 30
  },
  circle: {
    borderRadius: 100,
    justifyContent: 'center',
    alignItems: 'center'
  },
  icon: {
    width: 30,
    height: 30
  }
});
var _default = exports.default = AnimatedBounceButton;
//# sourceMappingURL=index.js.map